/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "vproductos_requisicion")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "VproductosRequisicion.findAll", query = "SELECT v FROM VproductosRequisicion v"),
        @NamedQuery(name = "VproductosRequisicion.findBySucursalCodigo", query = "SELECT v FROM VproductosRequisicion v WHERE v.sucursalCodigo = :sucursalCodigo"),
        @NamedQuery(name = "VproductosRequisicion.findByProductoCodigo", query = "SELECT v FROM VproductosRequisicion v WHERE v.productoCodigo = :productoCodigo"),
        @NamedQuery(name = "VproductosRequisicion.findByProducto", query = "SELECT v FROM VproductosRequisicion v WHERE v.producto = :producto"),
        @NamedQuery(name = "VproductosRequisicion.findByActual", query = "SELECT v FROM VproductosRequisicion v WHERE v.actual = :actual"),
        @NamedQuery(name = "VproductosRequisicion.findByVendidos", query = "SELECT v FROM VproductosRequisicion v WHERE v.vendidos = :vendidos")})
public class VproductosRequisicion implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "sucursal_codigo")
    private String sucursalCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 5)
    @Column(name = "producto_codigo")
    @Id
    private String productoCodigo;
    @Size(max = 75)
    @Column(name = "producto")
    private String producto;
    @Basic(optional = false)
    @NotNull
    @Column(name = "actual")
    private int actual;
    @Column(name = "vendidos")
    private BigInteger vendidos;

    public VproductosRequisicion() {
    }

    public String getSucursalCodigo() {
        return sucursalCodigo;
    }

    public void setSucursalCodigo(String sucursalCodigo) {
        this.sucursalCodigo = sucursalCodigo;
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    public String getProducto() {
        return producto;
    }

    public void setProducto(String producto) {
        this.producto = producto;
    }

    public int getActual() {
        return actual;
    }

    public void setActual(int actual) {
        this.actual = actual;
    }

    public BigInteger getVendidos() {
        return vendidos;
    }

    public void setVendidos(BigInteger vendidos) {
        this.vendidos = vendidos;
    }

}
